## API Report File for "@fluentui/react-date-time"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { DateRangeType } from '@fluentui/date-time-utilities';
import { DayOfWeek } from '@fluentui/date-time-utilities';
import { FirstWeekOfYear } from '@fluentui/date-time-utilities';
import { IBaseProps } from '@fluentui/utilities';
import { ICalendarStrings } from '@fluentui/date-time-utilities';
import { ICalloutProps } from '@fluentui/react-internal/lib/Callout';
import { IComponentAs } from '@fluentui/utilities';
import { IDateFormatting } from '@fluentui/date-time-utilities';
import { IDayGridOptions } from '@fluentui/date-time-utilities';
import { IProcessedStyleSet } from '@fluentui/style-utilities';
import { IRefObject } from '@fluentui/utilities';
import { IStyle } from '@fluentui/style-utilities';
import { IStyleFunctionOrObject } from '@fluentui/utilities';
import { ITextFieldProps } from '@fluentui/react-internal/lib/TextField';
import { ITheme } from '@fluentui/style-utilities';
import * as React from 'react';

// @public (undocumented)
export enum AnimationDirection {
    Horizontal = 0,
    Vertical = 1
}

// @public (undocumented)
export const Calendar: React.FunctionComponent<ICalendarProps>;

// @public (undocumented)
export const DatePicker: React.FunctionComponent<IDatePickerProps>;

// @public (undocumented)
export const DatePickerBase: React.FunctionComponent<IDatePickerProps>;

export { DateRangeType }

export { DayOfWeek }

// @public (undocumented)
export const defaultCalendarNavigationIcons: ICalendarNavigationIcons;

// @public (undocumented)
export const defaultCalendarStrings: ICalendarStrings;

// @public (undocumented)
export const defaultDatePickerStrings: IDatePickerStrings;

// @public @deprecated (undocumented)
export const defaultDayPickerStrings: ICalendarStrings;

// @public (undocumented)
export const defaultWeeklyDayPickerNavigationIcons: IWeeklyDayPickerNavigationIcons;

// @public (undocumented)
export const defaultWeeklyDayPickerStrings: IWeeklyDayPickerStrings;

export { FirstWeekOfYear }

// @public (undocumented)
export interface ICalendar {
    focus: () => void;
}

// @public (undocumented)
export interface ICalendarDay {
    // (undocumented)
    focus(): void;
}

// @public (undocumented)
export interface ICalendarDayGrid {
    // (undocumented)
    focus(): void;
}

// @public (undocumented)
export interface ICalendarDayGridProps extends IDayGridOptions, IBaseProps<ICalendarDayGrid> {
    allFocusable?: boolean;
    animationDirection?: AnimationDirection;
    className?: string;
    componentRef?: IRefObject<ICalendarDayGrid>;
    customDayCellRef?: (element: HTMLElement, date: Date, classNames: IProcessedStyleSet<ICalendarDayGridStyles>) => void;
    dateRangeType: DateRangeType;
    dateTimeFormatter: IDateFormatting;
    daysToSelectInDayView?: number;
    firstDayOfWeek: DayOfWeek;
    firstWeekOfYear: FirstWeekOfYear;
    getMarkedDays?: (startingDate: Date, endingDate: Date) => Date[];
    labelledBy?: string;
    lightenDaysOutsideNavigatedMonth?: boolean;
    maxDate?: Date;
    minDate?: Date;
    navigatedDate: Date;
    onDismiss?: () => void;
    onNavigateDate: (date: Date, focusOnNavigatedDay: boolean) => void;
    onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    restrictedDates?: Date[];
    selectedDate: Date;
    showCloseButton?: boolean;
    showWeekNumbers?: boolean;
    strings: ICalendarStrings;
    styles?: IStyleFunctionOrObject<ICalendarDayGridStyleProps, ICalendarDayGridStyles>;
    theme?: ITheme;
    today?: Date;
    weeksToShow?: number;
    workWeekDays?: DayOfWeek[];
}

// @public (undocumented)
export interface ICalendarDayGridStyleProps {
    animateBackwards?: boolean;
    animationDirection?: AnimationDirection;
    className?: string;
    dateRangeType?: DateRangeType;
    lightenDaysOutsideNavigatedMonth?: boolean;
    showWeekNumbers?: boolean;
    theme: ITheme;
}

// @public (undocumented)
export interface ICalendarDayGridStyles {
    // (undocumented)
    bottomLeftCornerDate?: IStyle;
    // (undocumented)
    bottomRightCornerDate?: IStyle;
    dayButton?: IStyle;
    dayCell?: IStyle;
    dayIsToday?: IStyle;
    dayMarker?: IStyle;
    dayOutsideBounds?: IStyle;
    dayOutsideNavigatedMonth?: IStyle;
    daySelected?: IStyle;
    firstTransitionWeek?: IStyle;
    lastTransitionWeek?: IStyle;
    table?: IStyle;
    // (undocumented)
    topLeftCornerDate?: IStyle;
    topRightCornerDate?: IStyle;
    weekDayLabelCell?: IStyle;
    weekNumberCell?: IStyle;
    weekRow?: IStyle;
    wrapper?: IStyle;
}

// @public (undocumented)
export interface ICalendarDayProps extends IBaseProps<ICalendarDay>, ICalendarDayGridProps {
    allFocusable?: boolean;
    className?: string;
    componentRef?: IRefObject<ICalendarDay>;
    dateTimeFormatter: IDateFormatting;
    maxDate?: Date;
    minDate?: Date;
    navigatedDate: Date;
    navigationIcons: ICalendarNavigationIcons;
    onDismiss?: () => void;
    onHeaderSelect?: () => void;
    onNavigateDate: (date: Date, focusOnNavigatedDay: boolean) => void;
    restrictedDates?: Date[];
    showCloseButton?: boolean;
    showSixWeeksByDefault?: boolean;
    showWeekNumbers?: boolean;
    strings: ICalendarStrings;
    styles?: IStyleFunctionOrObject<ICalendarDayStyleProps, ICalendarDayStyles>;
    theme?: ITheme;
}

// @public (undocumented)
export interface ICalendarDayStyleProps extends ICalendarDayGridStyleProps {
    className?: string;
    headerIsClickable?: boolean;
    showWeekNumbers?: boolean;
    theme: ITheme;
}

// @public (undocumented)
export interface ICalendarDayStyles extends Partial<ICalendarDayGridStyles> {
    disabledStyle: IStyle;
    header: IStyle;
    headerIconButton: IStyle;
    monthAndYear: IStyle;
    monthComponents: IStyle;
    root: IStyle;
}

// @public @deprecated (undocumented)
export type ICalendarFormatDateCallbacks = IDateFormatting;

// @public @deprecated (undocumented)
export type ICalendarIconStrings = ICalendarNavigationIcons;

// @public (undocumented)
export interface ICalendarMonth {
    // (undocumented)
    focus(): void;
}

// @public (undocumented)
export interface ICalendarMonthProps extends IBaseProps<ICalendarMonth> {
    allFocusable?: boolean;
    animationDirection?: AnimationDirection;
    className?: string;
    componentRef?: IRefObject<ICalendarMonth>;
    dateTimeFormatter?: IDateFormatting;
    highlightCurrentMonth?: boolean;
    highlightSelectedMonth?: boolean;
    maxDate?: Date;
    minDate?: Date;
    navigatedDate: Date;
    navigationIcons?: ICalendarNavigationIcons;
    onHeaderSelect?: () => void;
    onNavigateDate: (date: Date, focusOnNavigatedDay: boolean) => void;
    onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    selectedDate: Date;
    strings: ICalendarStrings;
    styles?: IStyleFunctionOrObject<ICalendarMonthStyleProps, ICalendarMonthStyles>;
    theme?: ITheme;
    today?: Date;
    yearPickerHidden?: boolean;
}

// @public (undocumented)
export interface ICalendarMonthStyleProps extends ICalendarPickerStyleProps {
}

// @public (undocumented)
export interface ICalendarMonthStyles extends ICalendarPickerStyles {
}

// @public (undocumented)
export interface ICalendarNavigationIcons {
    closeIcon?: string;
    leftNavigation?: string;
    rightNavigation?: string;
}

// @public (undocumented)
export interface ICalendarPickerStyleProps {
    animateBackwards?: boolean;
    animationDirection?: AnimationDirection;
    className?: string;
    hasHeaderClickCallback?: boolean;
    highlightCurrent?: boolean;
    highlightSelected?: boolean;
    theme: ITheme;
}

// @public (undocumented)
export interface ICalendarPickerStyles {
    // (undocumented)
    buttonRow: IStyle;
    // (undocumented)
    current: IStyle;
    // (undocumented)
    currentItemButton: IStyle;
    // (undocumented)
    disabled: IStyle;
    // (undocumented)
    gridContainer: IStyle;
    // (undocumented)
    headerContainer: IStyle;
    // (undocumented)
    itemButton: IStyle;
    // (undocumented)
    navigationButton: IStyle;
    // (undocumented)
    navigationButtonsContainer: IStyle;
    root: IStyle;
    // (undocumented)
    selected: IStyle;
}

// @public (undocumented)
export interface ICalendarProps extends IBaseProps<ICalendar>, React.RefAttributes<HTMLDivElement> {
    allFocusable?: boolean;
    calendarDayProps?: Partial<ICalendarDayProps>;
    calendarMonthProps?: Partial<ICalendarMonthProps>;
    className?: string;
    componentRef?: IRefObject<ICalendar>;
    dateRangeType?: DateRangeType;
    dateTimeFormatter?: IDateFormatting;
    firstDayOfWeek?: DayOfWeek;
    firstWeekOfYear?: FirstWeekOfYear;
    highlightCurrentMonth?: boolean;
    highlightSelectedMonth?: boolean;
    isDayPickerVisible?: boolean;
    isMonthPickerVisible?: boolean;
    maxDate?: Date;
    minDate?: Date;
    navigationIcons?: ICalendarNavigationIcons;
    onDismiss?: () => void;
    onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    restrictedDates?: Date[];
    showCloseButton?: boolean;
    showGoToToday?: boolean;
    showMonthPickerAsOverlay?: boolean;
    showSixWeeksByDefault?: boolean;
    showWeekNumbers?: boolean;
    strings?: ICalendarStrings;
    styles?: IStyleFunctionOrObject<ICalendarStyleProps, ICalendarStyles>;
    theme?: ITheme;
    today?: Date;
    value?: Date;
    workWeekDays?: DayOfWeek[];
}

export { ICalendarStrings }

// @public (undocumented)
export interface ICalendarStyleProps {
    className?: string;
    isDayPickerVisible?: boolean;
    isMonthPickerVisible?: boolean;
    monthPickerOnly?: boolean;
    overlaidWithButton?: boolean;
    // @deprecated (undocumented)
    overlayedWithButton?: boolean;
    showGoToToday?: boolean;
    showMonthPickerAsOverlay?: boolean;
    showWeekNumbers?: boolean;
    theme: ITheme;
}

// @public (undocumented)
export interface ICalendarStyles {
    // (undocumented)
    divider: IStyle;
    // (undocumented)
    goTodayButton: IStyle;
    // (undocumented)
    liveRegion: IStyle;
    // (undocumented)
    monthPickerWrapper: IStyle;
    root: IStyle;
}

// @public (undocumented)
export interface ICalendarYear {
    // (undocumented)
    focus(): void;
}

// @public (undocumented)
export interface ICalendarYearHeaderProps extends ICalendarYearProps, ICalendarYearRange {
    animateBackwards?: boolean;
    onSelectNext?: () => void;
    onSelectPrev?: () => void;
}

// @public (undocumented)
export interface ICalendarYearProps extends IBaseProps<ICalendarYear> {
    animationDirection?: AnimationDirection;
    className?: string;
    componentRef?: IRefObject<ICalendarYear>;
    highlightCurrentYear?: boolean;
    highlightSelectedYear?: boolean;
    maxYear?: number;
    minYear?: number;
    navigatedYear?: number;
    navigationIcons?: ICalendarNavigationIcons;
    onHeaderSelect?: (focus: boolean) => void;
    onRenderTitle?: (props: ICalendarYearHeaderProps) => React.ReactNode;
    onRenderYear?: (year: number) => React.ReactNode;
    onSelectYear?: (year: number) => void;
    selectedYear?: number;
    strings?: ICalendarYearStrings;
    styles?: IStyleFunctionOrObject<ICalendarYearStyleProps, ICalendarYearStyles>;
    theme?: ITheme;
}

// @public (undocumented)
export interface ICalendarYearRange {
    // (undocumented)
    fromYear: number;
    // (undocumented)
    toYear: number;
}

// @public (undocumented)
export interface ICalendarYearRangeToString {
    // (undocumented)
    (range: ICalendarYearRange): string;
}

// @public (undocumented)
export interface ICalendarYearStrings {
    // (undocumented)
    headerAriaLabelFormatString?: string;
    // (undocumented)
    nextRangeAriaLabel?: string | ICalendarYearRangeToString;
    // (undocumented)
    prevRangeAriaLabel?: string | ICalendarYearRangeToString;
    // (undocumented)
    rangeAriaLabel?: string | ICalendarYearRangeToString;
}

// @public (undocumented)
export interface ICalendarYearStyleProps extends ICalendarPickerStyleProps {
}

// @public (undocumented)
export interface ICalendarYearStyles extends ICalendarPickerStyles {
}

export { IDateFormatting }

// @public (undocumented)
export interface IDatePicker {
    focus(): void;
    reset(): void;
    showDatePickerPopup(): void;
}

// @public (undocumented)
export interface IDatePickerProps extends IBaseProps<IDatePicker>, React.HTMLAttributes<HTMLElement>, React.RefAttributes<HTMLDivElement> {
    allFocusable?: boolean;
    allowTextInput?: boolean;
    ariaLabel?: string;
    borderless?: boolean;
    calendarAs?: IComponentAs<ICalendarProps>;
    calendarProps?: ICalendarProps;
    calloutProps?: ICalloutProps;
    className?: string;
    componentRef?: IRefObject<IDatePicker>;
    dateTimeFormatter?: IDateFormatting;
    disableAutoFocus?: boolean;
    disabled?: boolean;
    firstDayOfWeek?: DayOfWeek;
    firstWeekOfYear?: FirstWeekOfYear;
    formatDate?: (date?: Date) => string;
    highlightCurrentMonth?: boolean;
    highlightSelectedMonth?: boolean;
    initialPickerDate?: Date;
    isMonthPickerVisible?: boolean;
    isRequired?: boolean;
    label?: string;
    maxDate?: Date;
    minDate?: Date;
    onAfterMenuDismiss?: () => void;
    onSelectDate?: (date: Date | null | undefined) => void;
    parseDateFromString?: (dateStr: string) => Date | null;
    pickerAriaLabel?: string;
    placeholder?: string;
    showCloseButton?: boolean;
    showGoToToday?: boolean;
    showMonthPickerAsOverlay?: boolean;
    showWeekNumbers?: boolean;
    strings?: IDatePickerStrings;
    styles?: IStyleFunctionOrObject<IDatePickerStyleProps, IDatePickerStyles>;
    tabIndex?: number;
    textField?: ITextFieldProps;
    theme?: ITheme;
    today?: Date;
    underlined?: boolean;
    value?: Date;
}

// @public (undocumented)
export interface IDatePickerStrings extends ICalendarStrings {
    invalidInputErrorMessage?: string;
    isOutOfBoundsErrorMessage?: string;
    isRequiredErrorMessage?: string;
}

// @public (undocumented)
export interface IDatePickerStyleProps {
    className?: string;
    // (undocumented)
    disabled?: boolean;
    // (undocumented)
    isDatePickerShown?: boolean;
    // (undocumented)
    label?: boolean;
    theme: ITheme;
}

// @public (undocumented)
export interface IDatePickerStyles {
    // (undocumented)
    callout: IStyle;
    // (undocumented)
    icon: IStyle;
    root: IStyle;
    // (undocumented)
    textField: IStyle;
    // (undocumented)
    wrapper?: IStyle;
}

// @public (undocumented)
export interface IWeeklyDayPicker {
    // (undocumented)
    focus(): void;
}

// @public (undocumented)
export type IWeeklyDayPickerNavigationIcons = Pick<ICalendarNavigationIcons, 'leftNavigation' | 'rightNavigation'>;

// @public (undocumented)
export interface IWeeklyDayPickerProps extends IBaseProps<IWeeklyDayPicker>, Partial<ICalendarDayGridProps> {
    animationDirection?: AnimationDirection;
    className?: string;
    componentRef?: IRefObject<IWeeklyDayPicker>;
    dateTimeFormatter?: IDateFormatting;
    firstDayOfWeek?: DayOfWeek;
    initialDate?: Date;
    maxDate?: Date;
    minDate?: Date;
    navigationIcons?: IWeeklyDayPickerNavigationIcons;
    onNavigateDate?: (date: Date) => void;
    onSelectDate?: (date: Date) => void;
    restrictedDates?: Date[];
    showFullMonth?: boolean;
    strings: IWeeklyDayPickerStrings;
    styles?: IStyleFunctionOrObject<IWeeklyDayPickerStyleProps, IWeeklyDayPickerStyles>;
    theme?: ITheme;
    today?: Date;
    weeksToShow?: number;
}

// @public (undocumented)
export interface IWeeklyDayPickerStrings extends ICalendarStrings {
    nextWeekAriaLabel?: string;
    prevWeekAriaLabel?: string;
}

// @public (undocumented)
export interface IWeeklyDayPickerStyleProps extends ICalendarDayGridStyleProps {
    className?: string;
    theme: ITheme;
}

// @public (undocumented)
export interface IWeeklyDayPickerStyles extends Partial<ICalendarDayGridStyles> {
    disabledStyle: IStyle;
    navigationIconButton: IStyle;
    root: IStyle;
}

// @public (undocumented)
export const WeeklyDayPicker: React.FunctionComponent<IWeeklyDayPickerProps>;


export * from "@fluentui/date-time-utilities/lib/dateMath/dateMath";
export * from "@fluentui/date-time-utilities/lib/dateValues/dateValues";
export * from "@fluentui/date-time-utilities/lib/dateValues/timeConstants";

// (No @packageDocumentation comment for this package)

```
